#
# spec file
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define service recompress
Name:           obs-service-%{service}
Version:        0.5.2
Release:        150000.3.6.1
Summary:        An OBS source service: Recompress files
License:        GPL-2.0-or-later
Group:          Development/Tools/Building
URL:            https://github.com/openSUSE/obs-service-%{service}
Source:         %{name}-%{version}.tar.gz
BuildRequires:  bzip2
BuildRequires:  gzip
BuildRequires:  xz
BuildRequires:  perl(Test::More)
Requires:       %{_bindir}/gzip
Requires:       bzip2
Requires:       xz
BuildArch:      noarch
# Enable zstd on all supported distributions
%if 0%{?suse_version} >= 1500 || 0%{?fedora_version} > 25
BuildRequires:  zstd
Requires:       zstd
%endif

%description
This is a source service for openSUSE Build Service.

It supports to compress, uncompress or recompress files from or to

 none : No Compression
 gz   : Gzip Compression
 bz2  : Bzip2 Compression
 xz   : XZ Compression
 zstd : Zstd Compression

%prep
%setup -q

%build

%install
%make_install

%check
%make_build test

%files
%dir %{_prefix}/lib/obs
%{_prefix}/lib/obs/service

%changelog
* Fri Jan  5 2024 adrian@suse.de
- zstd is now available on SLE 15 SP0
  Adding dependency there as well to fix bsc#1216361
* Tue Mar  1 2022 adrian@suse.de
- update to version 0.5.2:
  * zstd compression with rsyncable and higher compression
* Thu Feb 24 2022 bluca@debian.org
- disable zstd on RHEL, the package is not available on OBS
* Sun Jan 30 2022 dmueller@suse.com
- use filebased requires on gzip so that zstd can supplement it as
  well
* Wed May 26 2021 rpm@fthiessen.de
- Fixed checking for zstd support on different distributions
* Mon Aug  3 2020 adrian@suse.de
- Update to version 0.5.1:
  * Use at least 2 threads for xz compression
* Mon Jul 27 2020 adrian@suse.de
- Update to version 0.5.0:
  * do not follow symlinks (issue 9)
  * add license file
  * compression using # of core threads for zstd and xz
  * Add support for keeping of original file
  * use --threads=0
* Thu Jan 23 2020 adrian@suse.de
- Update to version 0.4.0+git20200123.696d003:
  * run test suite during build
* Thu Jan 23 2020 adrian@suse.de
- Update to version 0.4.0+git20200123.946b23f:
  * add zstd compression support
* Fri Sep  1 2017 adrian@suse.de
- Update to version 0.3.1+git20170704.59bf231:
  * Add README.md file
  * [dist] added spec file to git
* Wed Feb 17 2016 opensuse-packaging@opensuse.org
- Update to version 0.3.1+git20160217.7897d3f:
  + security fixes (boo#967265)
* Wed Jun 24 2015 hib@hiberis.nl
- Fix build for Debian 8.0
- Use install target from Makefile
- Include git revision in version number
- Update to version 0.3.1+git20150622.d908b54:
  + Tell rm not to prompt
  + Change debian source format to 'native'
  + Add Makefile with install target
* Wed Jul  9 2014 jblunck@infradead.org
- Update to version 0.3.1:
  + debian: use install-file to simplify rules-file
  + Initial debianization
  + - avoid problematic quoting
  + Fix typo
* Tue Nov  5 2013 speilicke@suse.com
- Update to version 0.3.1:
  + Fix diffing uncompressed files
* Mon Nov  4 2013 speilicke@suse.com
- Update to version 0.3:
  + Don't overwrite identical files
* Tue Oct 29 2013 speilicke@suse.com
- Move service to github.com/openSUSE/obs-service-recompress
- Add _service file to update package from there
- Drop local sources and use tarball from source services
* Thu Mar  1 2012 aspiers@suse.com
- Display message on successful (re)compression.
* Tue Feb 14 2012 aspiers@suse.com
- always remove uncompressed files
- fix rpmlint warnings
